<?php

namespace App\Http\Controllers;

use App\Models\Post;
use App\Models\Reply;
use App\Models\Comment;
use App\Events\CommentAdded;
use Illuminate\Http\Request;

class CommentsController extends Controller
{
    public function store(Request $request, $postId)
    {
        $request->validate([
            'comment' => 'required',
        ]);

        $comment = Comment::create([
            'user_id' => $request->user_id,
            'post_id' => $postId,
            'comment' => $request->input('comment'),
        ]);

        $post = Post::find($postId);

        event(new CommentAdded($comment, $post));

        return response()->json(['message' => 'Comment added successfully', 'comment' => $comment]);
    }

    // Store a reply to a comment
    public function storeReply(Request $request, $commentId)
    {
        $request->validate([
            'reply' => 'required',
        ]);

        $comment = Comment::findOrFail($commentId);

        $reply = Reply::create([
            'user_id' => $request->user_id,
            'comment_id' => $comment->id,
            'reply' => $request->input('reply'),
        ]);

        return response()->json(['message' => 'Reply added successfully', 'reply' => $reply]);
    }
    
    // public function getComments($postId)
    // {
    //     // Get comments with their related likes and replies
    //     $comments = Comment::with(['likes', 'replies.user']) // Load likes and replies (with user info for replies)
    //         ->where('post_id', $postId) // Filter comments by post ID
    //         ->get();
    
    //     return response()->json($comments);
    // }
}
