<?php

namespace App\Http\Controllers;

use App\Events\PostLiked;
use App\Models\Like;
use App\Models\Post;
use App\Models\User;
use Illuminate\Http\Request;
use Laravel\Reverb\Protocols\Pusher\Http\Controllers\Controller;

class LikeController extends Controller
{
    public function store(Request $request, $postId)
    {
        // $like = Like::firstOrCreate([
        //     'user_id' => $request->user_id,
        //     'post_id' => $postId,
        // ]);

        // return response()->json(['message' => 'Post liked successfully', 'like' => $like]);
        
        $postId = $request->post_id;
        $userId = $request->user_id; // Assuming the user is authenticated

        $post = Post::find($postId);
        $user = User::find($userId);
    
        // Check if the user already liked the post
        $existingLike = Like::where('post_id', $postId)
                            ->where('user_id', $userId)
                            ->first();
    
        if ($existingLike) {
            // User has already liked the post, so remove the like (dislike)
            $existingLike->delete();
    
            return response()->json([
                'status' => 'disliked',
                'message' => 'Post unliked successfully.',
            ]);
        } else {
            // User hasn't liked the post, so add a like
            Like::create([
                'post_id' => $postId,
                'user_id' => $userId,
            ]);

            event(new PostLiked($user, $post));
    
            return response()->json([
                'status' => 'liked',
                'message' => 'Post liked successfully.',
            ]);
        }
    }
}
