<?php

namespace App\Http\Controllers;

use App\Models\Post;
use App\Models\User;
use App\Models\Share;
use App\Events\PostShared;
use Illuminate\Http\Request;

class ShareController extends Controller
{
    public function store(Request $request, $postId, $userId)
    {
        $share = Share::create([
            'user_id' => $userId,
            'post_id' => $postId,
        ]);

        $post = Post::find($postId);
        $user = User::find($userId);

        event(new PostShared($user, $post));

        return response()->json(['message' => 'Post shared successfully', 'share' => $share]);
    }
    
    public function getSharedPosts($userId)
    {
        $sharedPosts = Share::where('user_id', $userId)->orderBy('created_at', 'desc')->with('user', 'post.user')->get();
        // dd($sharedPosts);
        
        return response()->json(['message' => 'Shared Posts', 'sharedPosts' => $sharedPosts]);
    }
}
