<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Group extends Model
{
    use HasFactory;
    
    protected $fillable = ['creator_id', 'title', 'description', 'privacy', 'visibility', 'image'];
    
    public function creator()
    {
        return $this->belongsTo(User::class, 'creator_id');
    }

    public function members()
    {
        return $this->belongsToMany(User::class, 'group_members');
    }

    public function posts()
    {
        return $this->hasMany(Post::class);
    }
    
}
