<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Reply extends Model
{
    use HasFactory;
    
    protected $fillable = ['user_id', 'comment_id', 'reply'];

    // Relationship to the user who created the reply
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    // Relationship to the parent comment
    public function comment()
    {
        return $this->belongsTo(Comment::class);
    }
}
